=== debian/tests/control ===
Tests: kicad-check-modules.sh
Depends: kicad-common, wget
Restrictions: allow-stderr
