=== debian/watch ===
# No real watch provided.
# Upstream is not always available in unix format and includes components that
# we normally remove for licence reasons.
# Upstream is packaged from git with some tweaks, see README.source.
version=3

#opts=pgpsigurlmangle=s/$1/.asc/, \
opts=filenamemangle=s/(.*)\.tar\.xz/kicad-$1\.tar\.xz/g,\
dversionmangle=s/\.dfsg\.\d+$// \
https://launchpad.net/kicad/ .*\+download/kicad-(.*)\.tar\.xz
